--- old/usr/src/cmd/mdb/common/modules/genunix/memory.c	Fri Aug 10 23:19:10 2018
+++ new/usr/src/cmd/mdb/common/modules/genunix/memory.c	Fri Aug 10 23:19:10 2018
@@ -41,9 +41,6 @@
 #include <vm/seg_map.h>
 #include <vm/seg_vn.h>
 #include <vm/seg_hole.h>
-#if defined(__i386) || defined(__amd64)
-#include <sys/balloon_impl.h>
-#endif
 
 #include "avl.h"
 #include "memory.h"
@@ -509,10 +506,6 @@
 	vn_htable_t ht;
 	struct vnode *kvps;
 	uintptr_t vn_size = 0;
-#if defined(__i386) || defined(__amd64)
-	bln_stats_t bln_stats;
-	ssize_t bln_size;
-#endif
 
 	bzero(&stats, sizeof (memstat_t));
 
@@ -631,29 +624,10 @@
 	else
 		freemem = 0;
 
-#if defined(__i386) || defined(__amd64)
-	/* Are we running under Xen?  If so, get balloon memory usage. */
-	if ((bln_size = mdb_readvar(&bln_stats, "bln_stats")) != -1) {
-		if (freemem > bln_stats.bln_hv_pages)
-			freemem -= bln_stats.bln_hv_pages;
-		else
-			freemem = 0;
-	}
-#endif
-
 	mdb_printf("Free (freelist)  %16lu  %16llu  %3lu%%\n", freemem,
 	    (uint64_t)freemem * PAGESIZE / (1024 * 1024),
 	    MS_PCT_TOTAL(freemem));
 
-#if defined(__i386) || defined(__amd64)
-	if (bln_size != -1) {
-		mdb_printf("Balloon          %16lu  %16llu  %3lu%%\n",
-		    bln_stats.bln_hv_pages,
-		    (uint64_t)bln_stats.bln_hv_pages * PAGESIZE / (1024 * 1024),
-		    MS_PCT_TOTAL(bln_stats.bln_hv_pages));
-	}
-#endif
-
 	mdb_printf("\nTotal            %16lu  %16lu\n",
 	    physmem,
 	    (uint64_t)physmem * PAGESIZE / (1024 * 1024));
